ATS MapsATS Mods

ATS – Canadream V2.8.3 (1.34.x)

Coast to Coast map 2.6.2.2 minimum is REQUIRED for playing or game crash

Changes: Various Bug Fixes – Too many to list.

Priority:
1-CanaDream 2.8.3
2-Coast to Coast 2.6.2.2

2.8.3
compatible ATS 1.34
compatible C2C 2.6.2.2
add .sui system files for more compatibility with other mods

Authors ManiaX, Long Haul Gamer

Supported game versions: ATS – (1.34.x)

Authors: ManiaX, Long Haul Gamer

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close